import request from '@/config/axios'

export interface WashCurvesVO {
  id: string
  code: string,
  ny: string,
  mz: string,
  mzName: string,
  drl: string,
  fcfa: string,
  fcfaName: string,
  bz: string,
}

export interface WashCurvesPageReqVO extends PageParam {
  ny?: string,
  pointName?: string
}


// 查询WashCurves列表
export const getWashCurvesPage = (params: WashCurvesPageReqVO) => {
  return request.get({ url: '/xmcpms/coal-quality/analysis/wash-curves/page', params })
}

// 查询WashCurves详情
export const getWashCurvesInfo = (id: string) => {
  return request.get({ url: '/xmcpms/coal-quality/analysis/wash-curves/get?id=' + id})
}

// 新增WashCurves
export const createWashCurves = (data: WashCurvesVO) => {
  return request.post({ url: '/xmcpms/coal-quality/analysis/wash-curves/create', data })
}

// 修改WashCurves
export const updateWashCurves = (data: WashCurvesVO) => {
  return request.put({ url: '/xmcpms/coal-quality/analysis/wash-curves/update', data })
}

// 删除WashCurves
export const deleteWashCurves = (ids) => {
  const data = ids
  return request.delete({ url: '/xmcpms/coal-quality/analysis/wash-curves/delete', data})
}
